#ifndef _TERMINAL_PLUGIN_H_
#define _TERMINAL_PLUGIN_H_

class QWidget;

#include <QtCore>
#include <QtCore/QObject>
//#include <QtCore/QStack>
//#include <QtGui/QDirModel>

#include <juffed/JuffPlugin.h>

class TerminalPlugin : public QObject, public JuffPlugin {
Q_OBJECT
Q_INTERFACES(JuffPlugin)
public:
	TerminalPlugin();
	virtual ~TerminalPlugin();

	//	info
	virtual QString name() const;
	virtual QString description() const;
	virtual QString targetEngine() const;

	//	controls
	virtual QWidgetList dockList() const;
	virtual Juff::ActionList mainMenuActions(Juff::MenuID) const;

private slots:
	void showTerminal();

private:
	QWidget* w_;
	QAction* termAct_;
};

#endif
