#include "KeysPlugin.h"

#include "KeysPage.h"

KeysPlugin::KeysPlugin() : QObject(), JuffPlugin() {
	w_ = new KeysPage();
}

KeysPlugin::~KeysPlugin() {
	delete w_;
}

QString KeysPlugin::name() const {
	return "Keybindings";
}

QString KeysPlugin::targetEngine() const {
	return "all";
}

QString KeysPlugin::description() const {
	return "Allows you to configure shortcuts";
}

QWidget* KeysPlugin::settingsPage() const {
	return w_;
}

void KeysPlugin::applySettings() {
	w_->apply();
}

Q_EXPORT_PLUGIN2(keybindings, KeysPlugin)
